Bug 206504 - Locales do not work, useless po files installation
Locales do not work, useless po files installation
Product: Fedora
Classification: Fedora
Component: gdeskcal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-09-14 15:07 EDT by Lubos Stanek
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-02 17:09:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lubos Stanek 2006-09-14 15:07:25 EDT
Description of problem:
Locales do not work
The po files installation is useless.

Version-Release number of selected component (if applicable):
0.57.1-5 and backwards

How reproducible:
Run with non-US settings or with changed LANG=.

Actual results:
Always in C (default en) because locales were not found.

Expected results:
It should run in many locales.

Additional info:
From values.py:
LOCALEDIR = "locale"
From i18n.py:
localedir=os.environ.get(values.SYSTEMLOCALEDIR, values.LOCALEDIR)
gettext.install("gdeskcal", localedir, unicode = 1)

The environment variale LOCALEDIR does not exist on most systems, therefore the
"locale" directory path is always returned.

Replace os.environ.get() function or remove it and provide direct path in:
gettext.install("gdeskcal", "/usr/share/locale", unicode = 1). Or test the
presence of the local "locale" directory, otherwise use system default.
Comment 1 Paul F. Johnson 2006-11-02 17:09:16 EST
Fixed in 1.0

Note You need to log in before you can comment on or make changes to this bug.